package com.zj365.health.act.psychological

import androidx.recyclerview.widget.LinearLayoutManager
import com.xty.base.act.BaseVmAct
import com.xty.base.vm.BaseVm
import com.zj365.health.adapter.psychological.PsychologicalTestMainAdapter
import com.zj365.health.databinding.ActPsychologicalTestMainBinding

class PsychologicalTestMainAct : BaseVmAct<BaseVm>() {
    val binding by lazy { ActPsychologicalTestMainBinding.inflate(layoutInflater) }

    val mAdapter by lazy { PsychologicalTestMainAdapter() }

    override fun initView() {
        super.initView()
        statusBar(binding.title.mView)
        binding.title.mTvTitle.text = "心理测试"
        binding.title.mIvBack.setOnClickListener {
            finish()
        }

        binding.recycler.layoutManager = LinearLayoutManager(this)
        binding.recycler.adapter = mAdapter
        mAdapter.setOnItemChildClickListener { adapter, view, position ->

        }

    }

    override fun liveObserver() {
    }

    override fun setLayout() = binding.root


}